// bootdial.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CBootDialog form view

#ifndef __AFXEXT_H__
#include <afxext.h>
#endif

class CBootDialog : public CFormView
{
	DECLARE_DYNCREATE(CBootDialog)
protected:
	CBootDialog();			// protected constructor used by dynamic creation

// Form Data
public:
	//{{AFX_DATA(CBootDialog)
	enum { IDD = IDD_DIALOG1 };
	CButton	m_searchButton;
	BOOL	m_askfor;
	BOOL	m_cdrom;
	BOOL	m_dos;
	BOOL	m_kdb;
	BOOL	m_rootdev;
	BOOL	m_singleu;
	BOOL	m_uconf;
	BOOL	m_verbose;
	CString	m_kernel;
	//}}AFX_DATA

// Attributes
public:

// Operations
public:
	CWinbootDoc* GetDocument();
	virtual void OnInitialUpdate();
	void OnUpdate(CView* pSender, LPARAM lHint, CObject* pHint);

// Implementation
protected:
	virtual ~CBootDialog();
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	// Generated message map functions
	//{{AFX_MSG(CBootDialog)
	virtual void OnCancel();
	afx_msg void OnBoot();
	afx_msg void OnSearch();
	afx_msg void OnDos();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

#ifndef _DEBUG  // debug version in winbovw.cpp
inline CWinbootDoc* CBootDialog::GetDocument()
   { return (CWinbootDoc*)m_pDocument; }
#endif

/////////////////////////////////////////////////////////////////////////////
